Bug 434129 - sblim-wbemcli failed massrebuild attempt for GCC 4.3
sblim-wbemcli failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sblim-wbemcli (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:08 EST by Jesse Keating
Modified: 2013-01-09 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: sblim-wbemcli-1.5.1-7.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 10:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:08:25 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=439442
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-25 19:32:34 EST
	then mv -f ".deps/wbemcli-main.Tpo" ".deps/wbemcli-main.Po"; else rm -f
".deps/wbemcli-main.Tpo"; exit 1; fi
main.cpp: In function 'int main(int, char**)':
main.cpp:115: warning: deprecated conversion from string constant to 'char*'
main.cpp:142: error: 'strlen' was not declared in this scope
main.cpp:152: error: 'strcmp' was not declared in this scope
main.cpp:181: error: 'strcmp' was not declared in this scope
main.cpp:203: error: 'strdup' was not declared in this scope
main.cpp:228: error: 'strcmp' was not declared in this scope
main.cpp:295: warning: deprecated conversion from string constant to 'char*'
main.cpp:310: warning: deprecated conversion from string constant to 'char*'
main.cpp:327: warning: deprecated conversion from string constant to 'char*'
main.cpp:331: warning: deprecated conversion from string constant to 'char*'
main.cpp:347: warning: deprecated conversion from string constant to 'char*'
main.cpp:382: warning: deprecated conversion from string constant to 'char*'
main.cpp:409: warning: deprecated conversion from string constant to 'char*'
main.cpp:448: warning: deprecated conversion from string constant to 'char*'
main.cpp:476: warning: deprecated conversion from string constant to 'char*'
main.cpp:493: warning: deprecated conversion from string constant to 'char*'
main.cpp:497: warning: deprecated conversion from string constant to 'char*'
main.cpp:515: warning: deprecated conversion from string constant to 'char*'
main.cpp:534: warning: deprecated conversion from string constant to 'char*'
main.cpp:538: warning: deprecated conversion from string constant to 'char*'
main.cpp:555: warning: deprecated conversion from string constant to 'char*'
main.cpp:583: error: 'strchr' was not declared in this scope
main.cpp:598: error: 'strchr' was not declared in this scope
Comment 2 Bug Zapper 2008-05-14 01:27:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.